<?php		

session_start();





require_once ("../../config/Cado.php");



require_once ("../producto/cCatalogo.php");

$oCatalogo = new cCatalogo();

require_once ("../formatos/formato.php");





if(isset($_SESSION['venta_car'])){

	$num_rows=count($_SESSION['venta_car']);

	if($num_rows==0)$num_rows="";

}else{

	$num_rows="";

}







?>



<style>

	#tabla_venta_car td{

		vertical-align: middle;

		padding: 4px 4px !important;

	}

	#tabla_venta_car td.editable,#tabla_venta_car td.editable *{

		cursor: text !important;

		height: 100%; 

		border-bottom-color: #ccc;

		border-bottom-style: dashed; 

		border-bottom-width: 0.5px;

	}

	#tabla_venta_car td.editando{

		background-color: rgba(18, 180, 243, 0.05);

		outline: 2px solid #35A4F3;

	}

	#tabla_venta_car td input{

		height: 100%;

		width: 100%;

		box-sizing: border-box;

		display: inline-block;

		border: none;

		background: transparent;

	}

	#tabla_venta_car td input:focus{

		background: transparent;

		height: 100%;

		width: 100%;

		outline: none;

		border: none;

	}

	#tabla_venta_car td input[readonly]{

		background: transparent;

	}

</style> 



<div class="col-lg-12 col-md-12 col-xs-12" style="padding:0px;">	

	<input name="hdd_ven_numite" id="hdd_ven_numite" type="hidden" value="<?php echo $num_rows?>">

	<table id="tabla_venta_car" class="table table-bordered table-striped">

		<thead>

			<tr>

				<th>UNIDAD</th>

				<th>MONEDA</th>

				<th align="right">PRE. COS.</th>

				<th align="right">PRE. VEN.</th>

				<th align="right">PRE. MIN.</th>

				<th align="right">PRE. MAY.</th>

				<th align="right">MOSTRAR</th>

				<th >&nbsp;</th>

			</tr>

		</thead>		 



		<tbody>

			<?php 

			if($num_rows>0){

				foreach($_SESSION['venta_car'] as $indice=>$cantidad) {



					$dts1=$oCatalogo->mostrarUno($indice);

					$dt1 = mysqli_fetch_array($dts1);



					//precio de venta ingresado

					$precio_unitario = $_SESSION['venta_preven'][$indice];



					//linea

					$subtotal=$precio_unitario*$cantidad;

					$valor_venta=$subtotal/1.18;

					$igv=$subtotal*(0.18)/1.18;

					//TOTALES	

					$total+=$subtotal;



					$total_valorventa=$total/1.18;

					$total_igv	=$total*(0.18)/1.18;



					//cantidad productos

					$cantidad_productos+=$cantidad;

					?>

					<tr class="" style="background-color:#eeeeee;">

						<td title="<?php echo $dt1['tb_presentacion_codbar']?>"><?php echo $dt1['tb_presentacion_codbar']?></td>

						<td style="font-size:10pt; font-weight:bold"><?php echo $dt1['tb_producto_nom']?></td>

						<td><?php echo $dt1['tb_marca_nom']?></td>

						<td><?php echo $dt1['tb_unidad_nom']?></td>

						<td align="right" width="100" class="editable" style="font-size:10pt; font-weight:bold">

							<input type="text" value="<?php echo $cantidad ?>" data-cantidad="<?php echo $cantidad ?>" data-original="<?php echo $cantidad ?>" readonly data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>" style="text-align: right;">

						</td>

						<td align="right" width="100" class="editable" style="font-size:10pt; font-weight:bold">

							<input type="text" value="<?php echo $precio_unitario; ?>" 

							data-preven="<?php echo formato_money2($precio_unitario) ?>" 

							data-original="<?php echo formato_money2($precio_unitario) ?>" readonly 

							data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>" style="text-align: right;">

						</td>

						<td align="right" style="font-size:10pt; font-weight:bold"><?php echo formato_money($subtotal);?></td>

						<td align="center" nowrap="nowrap"> 

						<!--	<span  title="Editar" class="btn btn-primary btn-sm btn_editar" ><i class="fa fa-pencil"></i></span>

							-->

							<span title="Eliminar" class="btn btn-danger btn-sm btn_eliminar" ><i class="fa fa-remove"></i></span> 		

						</td>

						

					</tr>

					

					<?php if ($dt1['tb_producto_des']!=""){?>

					<tr style="background-color:#fff;">

					<td colspan="8" >

					<span class="text-red" style="font-weight:bold;">ESPECIFICACIONES: Estructura / Accesorios y Equipamiento.</span>

					<div class="col-lg-12 col-sm-12 col-xs-12" style="word-wrap: break-word;word-break: break-all; font-weight:bold;" >

					<?php echo nl2br($dt1['tb_producto_des']); ?>

					</div>

					

					</td>

					</tr>

					

					<?php

					}

					mysqli_free_result($dts1);

				}

			}

			?>

		</tbody>



	</table>

	<br>

	<?php 

	if($num_rows=="" or $num_rows==0)

		echo 'Ningún producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';

	if($num_rows==1)

		echo $num_rows.' producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';

	if($num_rows>=2)

		echo $num_rows.' productos agregados. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';

	

	

	/* echo '<br />'.$oferta_menu; */

	?>



</div>

<!--	<li class=""><a href="#tab_5" data-toggle="tab" aria-expanded="false">CALCULAR VUELTO</a></li> 

		-->

<!-- <div class="col-lg-3 col-md-12 col-xs-12 "> 



	<div class="nav-tabs-custom">

		<ul class="nav nav-tabs">

			<li class="active"><a href="#tab_4" data-toggle="tab" aria-expanded="false">TOTALES</a></li>

		

		</ul>

		<div class="tab-content">

		-->

			

			

		<!--	<div class="tab-pane" id="tab_5">

				<div class="row">

					<div class="table-responsive">

						<table class="table">

							<tbody><tr>

								<th style="width:50%">Cliente:</th>

								<td>

									<input type="text" name="txt_importe_cliente" id="txt_importe_cliente"  style="text-align:right;font-weight: bold;" class="form-control input-sm moneda22" />

								</td>

							</tr>

							<tr>

								<th>Vuelto </th>

								<td>

									<input type="text" name="lbl_ven_vuelto" id="lbl_ven_vuelto" readonly  style="text-align:right;font-weight: bold;" class=" form-control input-sm moneda22" /> 	 

								</td>

							</tr>  

						</tbody></table>

					</div>

				</div> 

			</div>

				-->

<!--	</div>



	</div>   

</div>

-->

</div>







<script type="text/javascript" src="../cotizacion/NumberFormat.js"></script>



<script>

/* 

	function calcular_vuelto(){

		var importe = $("#txt_importe_cliente").val();

		var total = $('#txt_ven_tot').val();	

		

		if(importe==""){

		$('#lbl_ven_vuelto').val('');	

		}

		else{

		

		$.ajax({

			type: "POST",

			url: "../venta/calcular_vuelto.php",

			async:true,

			dataType: "html",                      

			data: ({

				importe: importe,				

				total:	total

			}),

			beforeSend: function(){				



			},

			success: function(vuelto){

				$('#lbl_ven_vuelto').val(vuelto);					

			}

		});	

	}

	} */



	$(function() {



		



		var nFilas = $("#hdd_ven_numite").val();

  if(nFilas>0){

  	$('#tabcliente .nav-tabs a:last').tab('show'); 

  }

  $("#txt_importe_cliente").attr('placeholder',$("#txt_ven_tot").val())



	/* 	$("#txt_importe_cliente").keyup(function() {		

			calcular_vuelto();

		}); */



		

	$("#txt_ven_des").keyup(function(e){

				des = $("#txt_ven_des").val();

				/* $("#txt_ven_des").val(new NumberFormat(des).toFormatted()); */

				totsindes = <?php echo $total ?>;				

				

								

				totcondes = totsindes - des;

				igv = (totcondes*0.18)/1.18;

				valven = totcondes/1.18;

				

				$("#txt_ven_tot").val(new NumberFormat(totcondes).toFormatted());

				$("#txt_ven_igv").val(new NumberFormat(igv).toFormatted());

				$("#txt_ven_valven").val(new NumberFormat(valven).toFormatted());

				$("#txt_ven_totsdes").val(new NumberFormat(totsindes).toFormatted());

				venpag_aut();

				

		});





	$("#txt_ven_des").keydown(function(e){

			if (e.which == 13){

				totsindes = <?php echo $total  ?>;				

				des = $("#txt_ven_des").val();

				

				totcondes = totsindes - des;

				

				$("#txt_ven_tot").val(totcondes.toFixed(2));

				$("#txt_ven_totsdes").val(totsindes.toFixed(2));

				venpag_aut();

				return false;

				}

		});



		$('#tabla_venta_car td input[data-cantidad]').autoNumeric({

			aSep: '',

			vMin: '0',

			vMax: '9999999'

		});

		$('#tabla_venta_car td input[data-preven]').autoNumeric({

			aSep: ',',

			vMin: '0',

			vMax: '9999999.9999'

		});



		$('#tabla_venta_car td input').keydown(function(ev) {

			if(ev.keyCode == 13 && !$(this).attr('readonly')) {

				var cat_id = $(this).attr('data-cat_id');

				var cantidad = $(this).parent().parent().find('input[data-cantidad]').val();

				var preven = $(this).parent().parent().find('input[data-preven]').val();

				agregar_producto('agregar', cat_id, cantidad, preven);

				$(this).attr('readonly', 'true');

				$(this).parent().removeClass('editando');

				return false;

			}

		});



		$('#tabla_venta_car td input').parent().click(function(ev) {

			var $input = $(this).find('input');

			var $td = $input.parent().addClass('editando');

			$input.removeAttr('readonly').focus().select();

		});



		$('#tabla_venta_car td input').blur(function(event) {

			$(this).val($(this).attr('data-original'));

			$(this).attr('readonly', 'true');

			$(this).parent().removeClass('editando');

		});



		$('#tabla_venta_car td input').keydown(function(ev) {

			if(ev.keyCode==27){

				$(this).val($(this).attr('data-original'));

				$(this).attr('readonly', 'true');

				$(this).parent().removeClass('editando');

			}

		});



	/* 	$( ".btn_editar" ).click(function() { 

			var $input = $(this).parent().parent().find('input[data-cantidad]');

			var $td = $input.parent().addClass('editando');

			$input.removeAttr('readonly').focus().select();

		}); */



		$( ".btn_eliminar" ).click(function() { 

			var cat_id = $(this).parent().parent().find('input').attr('data-cat_id');

			if(confirm('¿Seguro de quitar el item?')){

				agregar_producto('quitar', cat_id);

			}

		});





	}); 



</script>



